Accounts
X mentions
Recent posts mentioning the connected X account, with engagement metrics. Requires scope social:read.
GET
/
social
/
accounts
/
{account_id}
/
x
/
mentions
X mentions
curl --request GET \
--url https://api.smartlyq.com/v1/social/accounts/{account_id}/x/mentions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartlyq.com/v1/social/accounts/{account_id}/x/mentions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartlyq.com/v1/social/accounts/{account_id}/x/mentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"mentions": [
{
"tweet_id": "1815349823401570000",
"text": "@acme your scheduler is great!",
"author_id": "44196397",
"conversation_id": "1815349823401570000",
"created_at": "2026-07-26T08:12:00.000Z",
"likes": 12,
"replies": 2,
"retweets": 1,
"url": "https://x.com/i/status/1815349823401570000"
}
]
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or malformed Authorization header",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Post not found.",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "PLATFORM_ERROR",
"message": "The platform rejected the request."
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Path Parameters
Query Parameters
Required range:
5 <= x <= 100Previous
Retweet on XRetweets a post with the connected X account. Covered by the tweet.write permission your connection already has. Requires scope `social:write`.
Next
⌘I
X mentions

